import 'package:flutter/material.dart';
import 'package:storebounty_init/storebountyinit.dart';
import 'package:storebounty_onboading/themes/sabo/onboadentrysabo.dart';
import 'package:storebounty_onboading/themes/soweto/onboadentry.dart';

class StorebountyOnboarding extends StatefulWidget {
  final VoidCallback onGetStarted;
  const StorebountyOnboarding({Key? key, required this.onGetStarted}) : super(key: key);

  @override
  State<StorebountyOnboarding> createState() => _StorebountyOnboardingState();
}

class _StorebountyOnboardingState extends State<StorebountyOnboarding> {


  @override
  Widget build(BuildContext context) {

    return FutureBuilder<dynamic>(
      future: StoreBountyInit.readJsonFromRoot(),
      builder: (BuildContext context, AsyncSnapshot snapshot) {
        if(snapshot.hasData){
          if(snapshot.data['theme'] == "soweto"){
            return OnboardingEntrySoweto(slidesData: snapshot.data['ONBOARDING'], onGetStarted:widget.onGetStarted);
          }else{
            return OnboardingEntrySabo(slidesData: snapshot.data['ONBOARDING'], onGetStarted:widget.onGetStarted);
          }
        }else if(snapshot.hasError){
            return Text("error");
        }else{
          return Text("loading");
        }
      }
    );


  }
}
