import 'package:flutter/material.dart';
import 'package:storebounty_onboading/themes/soweto/pages/sowetoslide.dart';
// import 'package:storebounty_themes/entry/entrypoint.dart';

class OnboardingEntrySoweto extends StatefulWidget {
  final List<dynamic> slidesData;
  final VoidCallback onGetStarted;
  const OnboardingEntrySoweto({Key? key, required this.slidesData, required this.onGetStarted})
      : super(key: key);

  @override
  State<OnboardingEntrySoweto> createState() => _OnboardingEntrySowetoState();
}

class _OnboardingEntrySowetoState extends State<OnboardingEntrySoweto> {
  PageController pageController = PageController(initialPage: 0);
  int currentIndex = 0;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        child: Column(
          children: [
            Expanded(
                // child: PageView(
                //   controller: pageController,
                //   children: widget.slidesData.map((e)
                //   {
                //     var index = widget.slidesData.indexOf();
                //     return SowetoSlide(slidesData: e);
                //   }).toList(),
                // ),
                child: PageView.builder(
              controller: pageController,
              onPageChanged: (value){
                setState(() {
                  currentIndex = value;
                });
              },
              itemCount: widget.slidesData.length,
              itemBuilder: (context, index) {
                final item = widget.slidesData[index];
                return SowetoSlide(
                  slidesData: item,
                  currentPosition: currentIndex == index ? true:false,
                  onBtnClick: (){
                    print("${currentIndex}-${index}");
                    if(widget.slidesData.length == index + 1){

                      widget.onGetStarted();
                      return;
                    }
                    pageController.jumpToPage(index+1);
                    setState(() {});
                  },
                );
              },
            )),
          ],
        ),
      ),
    );
  }
}
